import request from '@/utils/request'

// 查询项目管理列表
export function listProject(query) {
  return request({
    url: '/system/project/list',
    method: 'get',
    params: query
  })
}

// 查询项目管理详细
export function getProject(id) {
  return request({
    url: '/system/project/' + id,
    method: 'get'
  })
}

// 新增项目管理
export function addProject(data) {
  return request({
    url: '/system/project',
    method: 'post',
    data: data
  })
}

// 修改项目管理
export function updateProject(data) {
  return request({
    url: '/system/project',
    method: 'put',
    data: data
  })
}

// 删除项目管理
export function delProject(id) {
  return request({
    url: '/system/project/' + id,
    method: 'delete'
  })
}

// 查询草稿箱列表
export function listDraft(query) {
  return request({
    url: '/system/project/draft/list',
    method: 'get',
    params: query
  })
}
// 新增草稿箱
export function addDraft(data) {
  //data.darft = '0'
  return request({
    url: '/system/project/draft',
    method: 'post',
    data: data
  })
}

// 逻辑删除项目
export function logicRemove(id) {
  return request({
    url: '/system/project/logicRemove/' + id,
    method: 'delete'
  })
}
